# List assessment templates

```
GET https://www.example.com/api/v2/assessment_templates
```

Returns paginated list of assessment templates available to the customer, including platform defaults.

## Request
### Query Parameters

**page_size** integer

Number of results per page (1-1000, default 50)

**after** string

Cursor token for next page

**before** string

Cursor token for previous page

**sort_by** string

Field to sort by (default: created_at):

- `name`
- `created_at`
- `updated_at`

**sort_direction** string

Sort direction (default: DESC)

### Header Parameters

**authorization** string required

**Example:** `Bearer privacy_api_key.abc123`

## Responses

- 200

Assessment templates list returned

- application/json

- Schema
- Example (auto)

**Schema**

**data** object[]

Array [  
  **id** uuid  
  **name** string  
  **Example:** `Vendor Risk Assessment`  
  **question_count** integer  
  Number of questions excluding dividers  
  **Example:** `12`  
  **section_count** integer  
  **Example:** `3`  
  **created_at** date-time  
  **updated_at** date-time  
]

**metadata** object

**page_size** integer

**next_page** string | null nullable

**previous_page** string | null nullable

**sort_by** string

**sort_direction** string

```json
{
  "data": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "name": "Vendor Risk Assessment",
      "question_count": 12,
      "section_count": 3,
      "created_at": "2024-07-29T15:51:28.071Z",
      "updated_at": "2024-07-29T15:51:28.071Z"
    }
  ],
  "metadata": {
    "page_size": 0,
    "next_page": "string",
    "previous_page": "string",
    "sort_by": "string",
    "sort_direction": "string"
  }
}
```

- curl
- go
- java
- nodejs
- php
- python
- ruby
- rust
- swift

- CURL

```bash
curl -L 'https://www.example.com/api/v2/assessment_templates' \
-H 'Accept: application/json'
```

Request

Base URL

Edit

https://www.example.com

Parameters

authorization — header required

Show optional parameters

page_size — query

after — query

before — query

sort_by — query

sort_direction — query

Send API Request

Response

Need help?
If you have any questions, please reach out to your dedicated Account Manager or contact us at support@datagrail.io.

_Disclaimer: The information contained in this message does not constitute as legal advice. We would advise seeking professional counsel before acting on or interpreting any material._
